<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>scene - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="command.html">command</a></li><li><a href="ozon.html">ozon</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ozon.html#.ozonForward">ozonForward</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonTurn">ozonTurn</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonLight">ozonLight</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonStop">ozonStop</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonWhere">ozonWhere</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonMove">ozonMove</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonCommand">ozonCommand</a></li></ul></li><li><a href="getParameters.html">getParameters</a></li><li><a href="room.html">room</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="room.html#.coverSet">coverSet</a></li><li data-type='method' style='display: none;'><a href="room.html#.doorSet">doorSet</a></li><li data-type='method' style='display: none;'><a href="room.html#.gateSet">gateSet</a></li></ul></li><li><a href="rpi.html">rpi</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="rpi.html#.rpiAngularCommand">rpiAngularCommand</a></li><li data-type='method' style='display: none;'><a href="rpi.html#.rpiContinuousCommand">rpiContinuousCommand</a></li></ul></li><li><a href="scene.html">scene</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="scene.html#.getView">getView</a></li><li data-type='method' style='display: none;'><a href="scene.html#.setViewShift">setViewShift</a></li><li data-type='method' style='display: none;'><a href="scene.html#.getScene">getScene</a></li></ul></li><li><a href="wagon.html">wagon</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="wagon.html#.wagonShift">wagonShift</a></li><li data-type='method' style='display: none;'><a href="wagon.html#.wagonRoom">wagonRoom</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">scene</h1>
    

    




<section>

<header>
    
        <h2>
        
            scene
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="scene"><span class="type-signature"></span>factory scene<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Specifies the visual scene analysis high-level functions.</p>
<ul>
<li>These functions are accessible via the <code>tabletop::</code> prefix.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".getView"><span class="type-signature type-signature-static">(static) </span>getView<span class="signature">(with_spot<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Grabs an image from the raspicam.</p>
<ul>
<li>Applies white-balance on the image</li>
<li>Rectifies the image given the predefined parameters and horizontal shifts.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>with_spot</code></td>
            

            <td class="type">
            
                
<span class="param-type">bool</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>false</code>
                
                </td>
            

            <td class="description last"><ul>
<li>If true, waits untill something has been changed in the scene.</li>
<li>If false, returns immediatly.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A reference to the grabbed image, with the parsed information in the &quot;room&quot; section of the image meta-data.</p>
</div>



    



        
            

    

    <h4 class="name" id=".setViewShift"><span class="type-signature type-signature-static">(static) </span>setViewShift<span class="signature">(room)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Adjusts the horizontal shift, between the reference image and the present view.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>room</code></td>
            

            <td class="type">
            
                
<span class="param-type">unit</span>



            
            </td>

            

            

            <td class="description last"><p>The room number 1,2,3 or 4.</p>
<ul>
<li>The room reference image and rectangular zone to take intoaccount is defined in the <code>parameters.json</code> file.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A reference to the grabbed image cropped zone, with the processing information.</p>
</div>



    



        
            

    

    <h4 class="name" id=".getScene"><span class="type-signature type-signature-static">(static) </span>getScene<span class="signature">(room<span class="signature-attributes">opt</span>, with_event_detection<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Grabs and parses an image from the raspicam.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>room</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>0</code>
                
                </td>
            

            <td class="description last"><p>Parses the image considering being in the room of number 1 to 4.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>with_event_detection</code></td>
            

            <td class="type">
            
                
<span class="param-type">bool</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>false</code>
                
                </td>
            

            <td class="description last"><ul>
<li>If true, waits untill something has been changed in the scene.</li>
<li>If false, returns immediatly.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A reference to the grabbed image, with the parsed information in the &quot;room&quot; section of the image meta-data.</p>
</div>



    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>